<html>
<head>
<title>OGRE: Ogre::_ConfigOption Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1__ConfigOption.html">_ConfigOption</a></div>
<h1>Ogre::_ConfigOption Struct Reference</h1><!-- doxytag: class="Ogre::_ConfigOption" -->Packages the details of a configuration option.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1__ConfigOption-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#33da56f2aece559df69da66f6b4dbd30">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#a41fec08addba15ef4c67b7c8db86f04">currentValue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#b1567214c3e3fd1ae9b41ce6bf7f7fde">possibleValues</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#593e092398f21c40c4303bdbac89097f">immutable</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Packages the details of a configuration option. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Used for <a class="el" href="classOgre_1_1RenderSystem.html#7a6236866e64cc19c078383b43872aa8" title="Returns the details of this API&#39;s configuration options.">RenderSystem::getConfigOptions</a>. If immutable is true, this option must be disabled for modifying. </dd></dl>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h-source.html#l00045">45</a> of file <a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="33da56f2aece559df69da66f6b4dbd30"></a><!-- doxytag: member="Ogre::_ConfigOption::name" ref="33da56f2aece559df69da66f6b4dbd30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1__ConfigOption.html#33da56f2aece559df69da66f6b4dbd30">Ogre::_ConfigOption::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h-source.html#l00047">47</a> of file <a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a41fec08addba15ef4c67b7c8db86f04"></a><!-- doxytag: member="Ogre::_ConfigOption::currentValue" ref="a41fec08addba15ef4c67b7c8db86f04" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1__ConfigOption.html#a41fec08addba15ef4c67b7c8db86f04">Ogre::_ConfigOption::currentValue</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h-source.html#l00048">48</a> of file <a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1567214c3e3fd1ae9b41ce6bf7f7fde"></a><!-- doxytag: member="Ogre::_ConfigOption::possibleValues" ref="b1567214c3e3fd1ae9b41ce6bf7f7fde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> <a class="el" href="structOgre_1_1__ConfigOption.html#b1567214c3e3fd1ae9b41ce6bf7f7fde">Ogre::_ConfigOption::possibleValues</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h-source.html#l00049">49</a> of file <a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="593e092398f21c40c4303bdbac89097f"></a><!-- doxytag: member="Ogre::_ConfigOption::immutable" ref="593e092398f21c40c4303bdbac89097f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1__ConfigOption.html#593e092398f21c40c4303bdbac89097f">Ogre::_ConfigOption::immutable</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h-source.html#l00050">50</a> of file <a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
